"""
Original GRASS icon set from old TCL/TK GUI
"""

import os

from core import globalvar

iconPath = os.path.join(globalvar.ETCDIR, "gui", "icons", "grass")
iconPathVDigit  = os.path.join(globalvar.ETCDIR, "gui", "icons", "grass", "edit")

iconSet = {
    "show" : 'gui-display.gif',
    "layer-redraw"  : 'gui-redraw.gif',
    "erase"      : 'gui-erase.gif',
    "pointer"    : 'gui-pointer.gif',
    "zoom-in"    : 'gui-zoom_in.gif',
    "zoom-out"   : 'gui-zoom_out.gif',
    "pan"        : 'gui-pan.gif',
    "info"      : 'gui-query.gif',
    "zoom-last"  : 'gui-zoom_back.gif',
    "zoom-more"   : 'gui-mapzoom.gif',
    "map-export"   : 'file-save.gif',
    "print"   : 'file-print.gif',
    "overlay-add"    : 'gui-overlay.gif',
    "point-create": 'new.point.gif',
    "line-create" : 'new.line.gif',
    "boundary-create": 'new.boundary.gif',
    "centroid-create": 'new.centroid.gif',
    "vertex-create" : 'add.vertex.gif',
    "vertex-move" : 'move.vertex.gif',
    "vertex-delete" : 'rm.vertex.gif',
    "line-split" : 'split.line.gif',
    "line-edit" : 'edit.line.gif',
    "line-move" : 'move.line.gif',
    "line-delete" : 'delete.line.gif',
    "cats-copy" : 'copy.cats.gif',
    "cats-display" : 'display.cats.gif',
    "attributes-display" : 'display.attributes.gif',
    "monitor-create" : 'gui-startmon.gif',
    "create"    : 'file-new.gif',
    "layer-open"   : 'file-new.gif', 
    "open"   : 'file-open.gif',
    "save"   : 'file-save.gif',
    "layer-import" : 'file-new.gif',
    "layer-raster-add"    : 'element-cell.gif',
    "layer-raster-more"   : 'module-d.shadedmap.gif',
    "layer-raster3d-add"  : 'element-grid3.gif',
    "layer-vector-add"    : 'element-vector.gif',
    "layer-vector-more"   : 'module-d.vect.thematic.gif',
    "layer-command-add"     : 'gui-cmd.gif',
    "layer-group-add"     : 'gui-group.gif',
    "layer-more"     : 'module-d.grid.gif',
    "layer-remove"     : 'edit-cut.gif',
    "table"  : 'db-values.gif',
    "layer-rgb-add"     : 'module-d.rgb.gif',
    "layer-his-add"     : 'channel-his.gif',
    "layer-shaded-relief-add"  : 'module-d.shadedmap.gif',
    "layer-aspect-arrow-add"  : 'module-d.rast.arrow.gif',
    "layer-cell-cats-add"    : 'module-d.rast.num.gif',
    "layer-vector-thematic-add": 'module-d.vect.thematic.gif',
    "layer-vector-chart-add"   : 'module-d.vect.chart.gif',
    "layer-grid-add"    : 'module-d.grid.gif',
    "options": 'module-d.geodesic.gif',
    "options"   : 'module-d.rhumbline.gif',
    "layer-label-add"  : 'module-d.labels.gif',
    "text-add"    : 'module-d.text.gif',
    "scalebar-add": 'module-d.barscale.gif',
    "legend-add"  : 'module-d.legend.gif',
    "quit"       : 'gui-exit.gif',
    "layer-raster-analyze"    : 'gui-rastanalyze.gif',
    "measure-length"    : 'gui-measure.gif',
    "font"       : 'gui-font.gif',
    "layer-raster-histogram"  : 'module-d.histogram.gif',
    "color"      : 'edit-color.gif',
    "options"  : 'gui-layeroptions.gif',
    "layer-raster-profile"    : 'gui-profile.gif',
    "layer-raster-profile"   : 'gui-profiledefine.gif',
    "show" : 'gui-display.gif',
    "profileopt" : 'gui-profileopt.gif',
    'gcp-remove'   : 'gui-gcperase.gif',
    'gcp-create'     : 'gui-gcpset.gif',
    'georectify'    : 'gui-georect.gif',
    'gcp-rms'     : 'gui-rms.gif',
    "gcp-save"    : 'file-save.gif', 
    "reload"  : 'gui-redraw.gif',
    "settings"       : 'edit-color.gif',
    "redraw"         : 'gui-display.gif',
    }
